### Function

# Gegl serialize

since: 0.4

#### Declaration [src]

    gchar*
    gegl_serialize (
      GeglNode* start,
      GeglNode* end,
      const char* basepath,
      GeglSerializeFlag serialize_flags
    )

#### Description

No description available.

Available since: 0.4

#### Parameters

`start`

  Type: `GeglNode`

  First node in chain to serialize.

  The data is owned by the caller of the function.

`end`

  Type: `GeglNode`

  Last node in chain to serialize.

  The data is owned by the caller of the function.

`basepath`

  Type: `const char*`

  Top-level absolute path to turn into relative root.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`serialize_flags`

  Type: `GeglSerializeFlag`

  Anded together combination of: GEGL_SERIALIZE_TRIM_DEFAULTS, GEGL_SERIALIZE_VERSION, GEGL_SERIALIZE_INDENT.

#### Return value

Type: `gchar*`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.